<template>
  <div>
    <Row>
      <Spin fix v-if="loadingtype">
        <Icon type="ios-loading" size="18" class="demo-spin-icon-load"></Icon>
        <div>{{ $t('loading') }}</div>
      </Spin>
      <i-Col span="24" align="middle">
        <i-Col span="24" align="middle">
          <img src="~assets/img/toy.svg" style="width:10%;" class="m-10" />
          <h1 class="title">{{ $t('login.title') }}</h1>
        </i-Col>
        <i-Col span="24" align="middle" style="height: 100%">
          <div style="margin-top:20px; ">
            <b>{{ $t('login.acount') }} ：</b>
            <Input v-model="login_acount" :placeholder="$t('login.acountpre') " style="width: 200px" />
          </div>
          <div style="margin:15px; ">
            <b>{{ $t('login.pass') }} ：</b>
            <Input v-model="login_pass" :placeholder="$t('login.passpre')" style="width: 200px" />
          </div>
          <Button type="error" @click.prevent="postData" class="mt-10 mb-10">{{$t('login.loginbtn')}}</Button>
          <h2>admin@mail.com</h2>
          <h2>test1@mail.com</h2>
          <h2>test2@mail.com</h2>
        </i-Col>
      </i-Col>
    </Row>
  </div>
</template>

<script>
import firebase from "firebase";;
import { log } from "util";
export default {
  data() {
    return {
      login_acount: "",
      login_pass: "",
      loadingtype: false
    };
  },
  created() {},
  methods: {
    postData() {
      this.loadingtype = !this.loadingtype;
      firebase
        .auth()
        .signInWithEmailAndPassword(this.login_acount, this.login_pass)
        .then(data => {
          this.$Message.success(this.$t('login.fun_postData_Message1'));
          localStorage.setItem("logindata", JSON.stringify(data));
          this.$router.push({ path: '/' })
        })
        .catch(error => {
          this.loadingtype = !this.loadingtype;
          console.log(`error`, error);
          this.$Message.error(this.$t('login.fun_postData_Message2'));
        });
    }
  }
};
</script>
